body {
    background-color: var(--site-background-color); 
    color: var(--site-text-color); 
}

a, a:hover, a:visited, a:active {
    color: var(--primary-color); 
}

header, header a, header a:hover, header a:visited, header a:active {
    color: var(--header-text-color); 
}

footer {
    background-color: var(--footer-background-color); 
    color: var(--footer-text-color); 
    border-top: 1px solid var(--primary-color);
    padding: 20px 10px 20px 10px;
}

footer .footer-menu {
    padding: 5px 10px 5px 10px;
}

footer .footer-menu ul {
    margin: 0 15px;
    padding: 0;
    list-style-type:none;
    display:flex;
    justify-content: center;
}

footer .footer-menu ul li {
    margin: 0 15px;
    color: #ffffff;
    font-size: 14px;
    line-height: 1.2;
    font-weight: 700;
    display: list-item;
}

footer .footer-menu ul li a, footer .footer-menu ul li a:visited, footer .footer-menu ul li a:active {
    color: #ffffff;
}

footer .footer-menu hr {
    height: 1px;
    border-style: none;
    border-bottom-style: none;
    border-bottom: 1px solid #707070;
    margin: 20px auto 15px;
    background: #707070;
    color: #707070;
}

/** Page title **/

.h1-hidden {
  margin: 0;
  height: 0;
  text-indent: 100%;
  white-space: nowrap;
  overflow: hidden;
  line-height: 0;
}

/** Content **/

main section .container {
    padding: 10px;
}

.bloc_texte_avec_image figure {
    margin: 5px 0 5px 0;
}

.bloc_texte_avec_image figure figcaption,
.bloc_liste_delements figure figcaption {
    padding: 4px;
    font-size: 12px;
}

.bloc_liste_delements .container .row > div {
    margin-top: 10px;
    margin-bottom: 10px;
    padding-top: 10px;
}










/*** Vue settings ***/
@media (min-width: 576px) {
  .container {
    max-width: 576px;
  }
}
@media (min-width: 768px) {
  .container {
    max-width: 768px;
  }
}
@media (min-width: 992px) {
  .container {
    max-width: 992px;
  }
}
@media (min-width: 1200px) {
  .container {
    max-width: 1200px;
  }
}
/*** Header ***/
.header_container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 4px 20px;
}
@media only screen and (max-width: 576px) {
  .header_container {
    max-width: 576px;
    padding: 4px 10px;
  }
}
.header_container_left {
  display: flex;
  align-items: center;
}
.header_container_right {
  display: flex;
  align-items: center;
}
.header_logo a {
  font-size: 25px;
  font-weight: 600;
  margin: 0;
  text-decoration: none;
  font-family: 'Outfit';
}
.header_logo {
  display: block;
}
.header_logo.header_logo_mobile {
  display: none;
}
@media only screen and (max-width: 768px) {
  .header_logo {
    display: none;
  }
  .header_logo.header_logo_mobile {
    display: block;
  }
}
/*** CTA ***/
.cta {
  font-family: 'Outfit';
  font-size: 16px;
  font-weight: 600;
  text-transform: uppercase;
}
.cta .dashicons, .cta .dashicons-before::before {
  line-height: 1.2;
}
@media only screen and (max-width: 768px) {
  .cta span.btn-text {
    display: none;
  }
}
/*** Content head ***/
.h1-hidden {
  margin: 0;
  height: 0;
  text-indent: 100%;
  white-space: nowrap;
  overflow: hidden;
  line-height: 0;
}
.chapo {
  font-size: 16px;
  line-height: 19px;
  font-weight: 700;
}
/*** Basic elements ***/
h1, h2 {
  font-family: 'Outfit';
  font-weight: 600;
}
h3, h4 {
  font-family: 'Outfit';
}
.block ul {
  margin-top: 0;
  margin-bottom: 1rem;
  padding-left: 20px;
  list-style: none;
}
.block .text_content ul li:before {
  content: '\f522';
  font-family: dashicons;
  margin-top: 5px;
  vertical-align: bottom;
}
.block .text_content .dashicons {
  position: relative;
  top: -2;
  vertical-align: middle;
}
/*** Share ***/
.sharing-links {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  margin-bottom: 15px;
}
.sharing-links span {
  font-size: 16px;
  line-height: 19px;
  padding-right: 5px;
}
.sharing-links ul {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  margin: 0;
  padding: 0;
  list-style: none;
}
.sharing-links ul li {
  margin: 0 5px;
}
.sharing-links ul li a {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 5px;
  width: 26px;
  height: 26px;
  min-width: fit-content;
  padding: 0 5px;
  border: 1px solid #666565;
  border-radius: 15px;
  font-size: 15px;
  color: #666565;
  text-decoration: none;
  background-color: transparent;
}
.sharing-links ul li a.fa-facebook-f::before {
  content: '\f305';
  font-family: dashicons;
}
.sharing-links ul li a.fa-x-twitter::before {
  content: 'X';
  font-weight: 600;
}
.sharing-links ul li a.fa-linkedin-in::before {
  content: '\f18d';
  font-family: dashicons;
}
.sharing-links ul li a.fa-envelope::before {
  content: '\f466';
  font-family: dashicons;
}
.sharing-links ul li a.fa-print::before {
  content: '\f193';
  font-family: dashicons;
}
/*** Burger button ***/
#site-menu-burger {
  position: relative;
  left: 0;
  display: none;
  align-items: center;
  width: auto;
  background: transparent;
  font-size: 16px;
  font-weight: 600;
  text-transform: uppercase;
  line-height: 0;
  text-align: center;
  text-decoration: none;
  width: 1.7rem;
  height: 2rem;
  min-height: 2rem;
  border-width: 0;
  border-style: solid;
}
@media only screen and (max-width: 768px) {
  #site-menu-burger {
    display: flex;
  }
}
#site-menu-burger .btn-navigation {
  overflow: hidden;
  text-indent: 100%;
  white-space: nowrap;
}
#site-menu-burger .btn-navigation span,
#site-menu-burger .btn-navigation span::before, 
#site-menu-burger .btn-navigation span::after {
  content: '';
  position: absolute;
  left: 0;
  text-indent: -9999px;
  width: 21px;
  height: 2px;
  background-color: var(--header-text-color);
}
#site-menu-burger .btn-navigation span::before {
  bottom: 5px;
}
#site-menu-burger .btn-navigation span::after {
  top: 5px;
}
/*** Modal close button ***/
#site-menu-modal-close {
  position: relative;
  left: 0;
  display: none;
  align-items: center;
  background: transparent;
  padding-left: 0;
  font-size: 16px;
  text-transform: uppercase;
  border-width: 0;
  border-style: solid;
  width: auto;
  font-size: 16px;
  font-weight: 600;
  line-height: 0;
  text-align: center;
  text-decoration: none;
  width: 1.7rem;
  height: 2rem;
  min-height: 2rem;
}
/*** Modal menu ***/
#site-menu-modal {
  background-color: #ffffff;
  display: none;
  position: relative;
  margin: 0;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: 99;
}
#site-menu-modal button {
  -webkit-appearance: button;
  background: transparent;
  border: 0;
  font-family: inherit;
  font-size: 100%;
  line-height: 1;
  overflow: visible;
  margin: 0;
  text-transform: none;
}
#site-menu-modal ul > li {
  display: block;
  padding: 10px 20px;
  width: 100%;
}
#site-menu-modal > ul > li {
  border-bottom: 1px solid #ccc;
}
#site-menu-modal ul > li > a {
  color: #212120;
  font-size: 18px;
}
#site-menu-modal ul > li > a > span.dashicons {
  float: right;
  text-decoration: none;
}
#site-menu-modal .sub-menu.hidden {
  display: none;
}
/*** Site menu ***/
.site-menu {
  display: flex;
}
@media only screen and (max-width: 768px) {
  .site-menu {
    display: none;
  }
}
.site-menu button {
  -webkit-appearance: button;
  background: transparent;
  border: 0;
  font-family: inherit;
  font-size: 100%;
  line-height: 1;
  overflow: visible;
  margin: 0;
  text-transform: none;
}

.site-menu button:focus, 
.site-menubutton:focus-visible,
.site-menu a:focus,
.site-menu a:focus-visible {
  outline: 2px solid currentColor;
  outline-offset: 2px;
}
.site-menu button:focus:not(:focus-visible),
.site-menu a:focus:not(:focus-visible) {
  outline-color: transparent;
}
/* Menu styles */
.site-menu ul.nav {
  display: flex;
  list-style: none;
}
.site-menu ul.nav > li {
  display: flex;
  align-items: center;
  margin-left: 1em;
  padding: 0.5em 0;
  position: relative;
}
.site-menu ul.nav li a,
.site-menu ul.nav li button.toggle-sub-menu:first-child {
  border-radius: 0.125rem;
  padding: 0.25rem;
  text-decoration-color: transparent;
  text-underline-offset: 0.3em;
  transition: text-decoration-color 0.2s ease-in-out;
}
/* Sub menu */
.site-menu ul.sub-menu {
  background: #fff;
  border-radius: 0.25rem;
  box-shadow: 0 0.125rem 1rem rgba(0, 0, 0, 0.12);
  display: none;
  list-style: none;
  padding: 0.75rem;
  position: absolute;
  top: 2.5em;
  min-width: 150px;
}
.site-menu ul.sub-menu li {
  display: block;
}
.site-menu ul.sub-menu li + li {
  margin-top: 0.75rem;
}
.site-menu ul.sub-menu li a {
  color: #222;
  white-space: nowrap;
}
.site-menu ul.nav > li.menu-item-has-children:hover .sub-menu,
.site-menu ul.nav > li.menu-item-has-children:focus-within .sub-menu:not(.hidden) {
  display: block;
}
.site-menu ul.sub-menu.show {
  display: block;
}
/* Sub-menu toggle buttons */
.site-menu button.toggle-sub-menu {
  display: flex;
  align-items: center;
  border: 0;
  color: #fff;
}
.site-menu .toggle-sub-menu .icon {
  background: #fff;
  border-radius: 50%;
  height: 1.375rem;
  line-height: 1.5rem;
  margin-left: 0.5rem;
  width: 1.375rem;
}
.site-menu a + .site-menu button.toggle-sub-menu {
  border-radius: 50%;
  margin-left: 0.25rem;
  padding: 0;
  pointer-events: none;
}
.site-menu a + .site-menu button.toggle-sub-menu .icon {
  margin: 0;
}
.site-menu .toggle-sub-menu .icon {
  text-align: center;
  transition: all ease-in-out 0.3s;
}
.site-menu .toggle-sub-menu.close .icon {
  transform: rotate(180deg);
}
.site-menu .toggle-sub-menu .icon:before {
  font-size: 0.875rem;
}
/*** Footer ***/
footer {
  padding: 20px 0;
}
footer .footer-menu hr {
  background-color: var(--footer-text-color);
}
footer .footer-menu ul {
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}
footer .footer-menu ul li {
  margin: 0 15px;
  font-size: 14px;
  line-height: 1.2;
  font-weight: 600;
}
footer .footer-menu ul li a {
  padding: 5px 10px;
  display: block;
  color: var(--footer-text-color);
}
/*** Block cover ***/
.block_cover, .block_cover .container {
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}
/*** Block text ***/
.block_text .container {
  padding-top: 20px;
  padding-bottom: 20px;
}
/*** Block text with image ***/
.block_text_with_image .container {
  padding-top: 20px;
  padding-bottom: 20px;
}
.block_text_with_image figure img {
  box-shadow: 0px 4px 9px #a7aaad;
}
/*** Block elements ***/
.block_elements .container {
  padding-top: 20px;
  padding-bottom: 20px;
}
.block_elements .container .row > div {
  padding: 10px;
}
.block_elements.square_framing div.column {
  border: 1px solid var(--primary-color);
  box-shadow: 0px 4px 9px #a7aaad;
}
.block_elements.rounded_framing div.column {
  border-radius: 10px;
  border: 1px solid var(--primary-color);
  box-shadow: 0px 4px 9px #a7aaad;
  overflow: hidden;
}
.block_elements div.column > figure {
  padding: 0;
  margin-bottom: 0;
}
.block_elements div.column > div {
  padding: 5px 10px 0 10px;
  margin-bottom: 8px;
}
/*** Block gallery ***/
.block_gallery {
  padding: 0;
}

.block_gallery .gallery-grid .gallery-item {
  margin-bottom: 20px;
}

.block_gallery .gallery-grid img,
.block_gallery .swiper-slide img {
  width: 100%;
  height: auto;
  display: block;
  object-fit: cover;
}

/* Caption */
.block_gallery .gallery-caption {
  font-size: 14px;
  color: #FFFFFF;
  position: relative;
  top: -50px;
  z-index: 1;
  padding: 5px;
  margin: 10px;
  border: 1px solid #000;
  background: rgba(28, 28, 28, 0.4);
}

/* Swiper */
.block_gallery .swiper {
  width: 100%;
  position: relative;
}
.block_gallery .swiper-wrapper {
  max-height: max-content;
  height: max-content;
}

/* navigation */
.block_gallery .swiper-button-prev,
.block_gallery .swiper-button-next {
  color: #000;
}

/*.swiper-pagination {
    position: relative !important;
}
.swiper-horizontal > .swiper-pagination-bullets, .swiper-pagination-bullets.swiper-pagination-horizontal {
      padding-top: 10px;
}*/

/* pagination */
.block_gallery .swiper-pagination-bullet {
  background: #000;
  opacity: 0.4;
}

.block_gallery .swiper-pagination-bullet-active {
  opacity: 1;
}
